# ApplicationFramework
TKCDF
PCDM

# PCDM Class Reference

`#include <PCDM.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | FindStorageDriver (const Handle(CDM_Document)&aDocument)
static Standard_EXPORT Handle_PCDM_StorageDriver | StorageDriver (const Handle(CDM_Document)&aDocument)
| gets in the EuclidDesktop resource the plugin identifier of the driver plugs the driver.
static Standard_EXPORT Handle_Storage_Schema | Schema (const TCollection_ExtendedString &aSchemaName, const Handle(CDM_Application)&anApplication)

## Static Private Member Functions

static Standard_EXPORT PCDM_TypeOfFileDriver | FileDriverType (const TCollection_AsciiString &aFileName, PCDM_BaseDriverPointer &aBaseDriver)

## Member Function Documentation

static Standard_EXPORT PCDM_TypeOfFileDriver PCDM::FileDriverType | ( | const TCollection_AsciiString & | aFileName,
|  | PCDM_BaseDriverPointer & | aBaseDriver
| ) | `[static, private]`

static Standard_EXPORT Standard_Boolean PCDM::FindStorageDriver | ( | const Handle(CDM_Document)& | aDocument | ) | `[static]`

void PCDM::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PCDM::operator new | ( | size_t | size | ) | `[inline]`

void* PCDM::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_Storage_Schema PCDM::Schema | ( | const TCollection_ExtendedString & | aSchemaName,
|  | const Handle(CDM_Application)& | anApplication
| ) | `[static]`

static Standard_EXPORT Handle_PCDM_StorageDriver PCDM::StorageDriver | ( | const Handle(CDM_Document)& | aDocument | ) | `[static]`

The documentation for this class was generated from the following file:

- PCDM.hxx